export declare class UrlTemplateImageryProvider {
    private _tileWidth;
    private _tileHeight;
    private _rectangle;
    private _resource;
    constructor();
    get ready(): boolean;
    requestImage(x: number, y: number, level: number, request: any): void;
}
